Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Resonate Class Reference

STK noise driven formant filter. More...

`#include <Resonate.h>`

Inheritance diagram for Resonate:

List of all members.

## Public Member Functions

| Resonate ()
| Class constructor.
| ~Resonate ()
| Class destructor.
void | clear ()
| Reset and clear all internal state.
void | setResonance (MY_FLOAT frequency, MY_FLOAT radius)
| Set the filter for a resonance at the given frequency (Hz) and radius.
void | setNotch (MY_FLOAT frequency, MY_FLOAT radius)
| Set the filter for a notch at the given frequency (Hz) and radius.
void | setEqualGainZeroes ()
| Set the filter zero coefficients for contant resonance gain.
void | keyOn ()
| Initiate the envelope with a key-on event.
void | keyOff ()
| Signal a key-off event to the envelope.
void | noteOn (MY_FLOAT frequency, MY_FLOAT amplitude)
| Start a note with the given frequency and amplitude.
void | noteOff (MY_FLOAT amplitude)
| Stop a note with the given amplitude (speed of decay).
MY_FLOAT | tick ()
| Compute one output sample.
virtual void | controlChange (int number, MY_FLOAT value)
| Perform the control change specified by number and value (0.0 - 128.0).

## Detailed Description

STK noise driven formant filter.

This instrument contains a noise source, which excites a biquad resonance filter, with volume controlled by an ADSR.

Control Change Numbers:

- Resonance Frequency (0-Nyquist) = 2
- Pole Radii = 4
- Notch Frequency (0-Nyquist) = 11
- Zero Radii = 1
- Envelope Gain = 128

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 28 of file Resonate.h.

The documentation for this class was generated from the following file:

- Resonate.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.